'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AUINav = function AUINav(_ref) {
    var options = _ref.options,
        children = _ref.children;

    var dataDrivenOptions = void 0;

    if (options) {
        dataDrivenOptions = options.map(function (option) {
            return _react2.default.createElement(
                'li',
                { key: option.props.to },
                option
            );
        });
    }

    return _react2.default.createElement(
        'ul',
        { className: 'aui-nav' },
        dataDrivenOptions,
        children
    );
};

AUINav.displayName = 'AUINav';
AUINav.propTypes = {
    onChange: _propTypes2.default.func,
    options: _propTypes2.default.array,
    selected: _propTypes2.default.string,
    children: _propTypes2.default.node
};

exports.default = AUINav;
//# sourceMappingURL=AUINav.js.map