'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultMax = 1;

var AUIProgressIndicator = function AUIProgressIndicator(_ref) {
    var max = _ref.max,
        value = _ref.value,
        indeterminate = _ref.indeterminate;

    var maxParsed = max > 0 ? max : defaultMax;
    var valueParsed = Math.max(0, Math.min(value, maxParsed));
    var valAsPercent = Number((valueParsed / maxParsed * 100).toFixed(2));
    var valAsFraction = indeterminate ? null : Number((valueParsed / maxParsed).toFixed(6));
    var barStyle = indeterminate ? {} : { width: valAsPercent + '%' };

    return _react2.default.createElement(
        'div',
        { className: 'aui-progress-indicator',
            'data-value': valAsFraction,
            role: 'progressbar',
            'aria-valuemin': '0',
            'aria-valuenow': valueParsed,
            'aria-valuemax': maxParsed,
            tabIndex: '0'
        },
        _react2.default.createElement('span', { className: 'aui-progress-indicator-value', style: barStyle })
    );
};

AUIProgressIndicator.displayName = 'AUIProgressIndicator';
AUIProgressIndicator.propTypes = {
    indeterminate: _propTypes2.default.bool,
    max: _propTypes2.default.number,
    value: _propTypes2.default.number
};

AUIProgressIndicator.defaultProps = {
    indeterminate: false,
    max: defaultMax,
    value: 0
};

exports.default = AUIProgressIndicator;
//# sourceMappingURL=AUIProgressIndicator.js.map