'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Tabs = function (_PureComponent) {
    _inherits(Tabs, _PureComponent);

    _createClass(Tabs, null, [{
        key: 'getActiveTabFromChildren',
        value: function getActiveTabFromChildren(children) {
            var tabs = _react2.default.Children.toArray(children);
            var activeTabs = tabs.filter(function (tab) {
                return tab.props.isActive;
            });
            var activeTab = activeTabs[0] || tabs[0];

            return activeTab;
        }
    }]);

    function Tabs(props) {
        _classCallCheck(this, Tabs);

        var _this = _possibleConstructorReturn(this, (Tabs.__proto__ || Object.getPrototypeOf(Tabs)).call(this, props));

        var activeTab = Tabs.getActiveTabFromChildren(_this.props.children);

        _this.state = {
            activeTabId: activeTab.props.id
        };
        return _this;
    }

    _createClass(Tabs, [{
        key: 'renderTabs',
        value: function renderTabs() {
            var _this2 = this;

            var activeTabId = this.state.activeTabId;
            var children = this.props.children;

            var tabsMenu = [];

            var tabsPanes = _react2.default.Children.map(children, function (child) {
                var _child$props = child.props,
                    id = _child$props.id,
                    label = _child$props.label;

                var isActive = activeTabId === id;
                var tabClassName = (0, _classnames2.default)('menu-item', {
                    'active-tab': isActive
                });

                tabsMenu.push(_react2.default.createElement(
                    'li',
                    { className: tabClassName, key: id },
                    _react2.default.createElement(
                        'a',
                        { onClick: function onClick() {
                                return _this2.selectTab(id);
                            } },
                        label
                    )
                ));

                return _react2.default.cloneElement(child, _extends({}, child.props, {
                    key: id,
                    isActive: isActive
                }));
            });

            return { tabsMenu: tabsMenu, tabsPanes: tabsPanes };
        }
    }, {
        key: 'selectTab',
        value: function selectTab(activeTabId) {
            this.setState({ activeTabId: activeTabId });
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props,
                id = _props.id,
                className = _props.className,
                props = _objectWithoutProperties(_props, ['id', 'className']);

            var wrapperClassName = (0, _classnames2.default)('aui-tabs', 'horizontal-tabs', className);

            var _renderTabs = this.renderTabs(),
                tabsMenu = _renderTabs.tabsMenu,
                tabsPanes = _renderTabs.tabsPanes;

            delete props.tabPrefix;

            return _react2.default.createElement(
                'div',
                _extends({ id: id, className: wrapperClassName }, props),
                _react2.default.createElement(
                    'ul',
                    { className: 'tabs-menu' },
                    tabsMenu
                ),
                tabsPanes
            );
        }
    }]);

    return Tabs;
}(_react.PureComponent);

Tabs.displayName = 'Tabs';
exports.default = Tabs;


Tabs.propTypes = {
    children: _propTypes2.default.node.isRequired,
    id: _propTypes2.default.string,
    className: _propTypes2.default.string
};

Tabs.defaultProps = {
    id: null,
    className: null
};
//# sourceMappingURL=Tabs.js.map